%define		gst_ver		1.16.0
%define		gstpb_ver	1.16.0
%define		gstpg_ver	1.16.0
%define		gstpd_ver	1.16.0
Summary:	GstRTCP - an RTSP server built on top of GStreamer
Summary(pl.UTF-8):	GstRTSP - serwer RTSP zbudowany w oparciu o GStreamera
Name:		gstreamer-rtsp-server
Version:	1.16.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gst-rtsp-server/gst-rtsp-server-%{version}.tar.xz
# Source0-md5:	adc4460239ec2eccf58ad9752ce53bfd
URL:		https://gstreamer.freedesktop.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gobject-introspection-devel >= 1.31.1
BuildRequires:	gstreamer-devel >= %{gst_ver}
# only for message
#BuildRequires:	gstreamer-plugins-bad-devel >= %{gstpd_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
# only for message
#BuildRequires:	gstreamer-plugins-good-devel >= %{gstpg_ver}
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	libcgroup-devel >= 0.26
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.40.0
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_ver}
Requires:	libcgroup-libs >= 0.26
Obsoletes:	gstreamer-rtsp < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GstRTSP is an RTSP server built on top of GStreamer.

%description -l pl.UTF-8
GstRTSP to serwer RTSP zbudowany w oparciu o GStreamera.

%package devel
Summary:	Header files for GstRTSPserver library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GstRTSPserver
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0
Requires:	gstreamer-devel >= %{gst_ver}
Requires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
Obsoletes:	gstreamer-rtsp-devel < 1.1

%description devel
Header files for GstRTSPserver library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GstRTSPserver.

%package apidocs
Summary:	API documentation for GstRTSPserver library
Summary(pl.UTF-8):	Dokumentacja API biblioteki GstRTSPserver
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for GstRTSPserver library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GstRTSPserver.

%prep
%setup -q -n gst-rtsp-server-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-silent-rules \
	--disable-static \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la
# glib-loadable module
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgstrtspclientsink.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE TODO docs/design/gst-rtp-server-design
%attr(755,root,root) %{_libdir}/libgstrtspserver-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstrtspserver-1.0.so.0
%{_libdir}/girepository-1.0/GstRtspServer-1.0.typelib
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstrtspclientsink.so

%files devel
%defattr(644,root,root,755)
%doc docs/README
%attr(755,root,root) %{_libdir}/libgstrtspserver-1.0.so
%{_includedir}/gstreamer-1.0/gst/rtsp-server
%{_pkgconfigdir}/gstreamer-rtsp-server-1.0.pc
%{_datadir}/gir-1.0/GstRtspServer-1.0.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gst-rtsp-server-1.0
%changelog
* Fri Aug 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-rtsp-server.git;a=log;h=auto/th/gstreamer-rtsp-server-1.16.0-1

* Fri Jun 07 2019 Bartek Szady <bszx@bszx.eu> 38dc5bb
- updated to 1.16.0

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> e1cc754
- updated dependencies

* Wed Dec 26 2018 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 32dbba1
- Updated to 1.14.4

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> eac68dd
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 2556476
- updated to 1.12.4

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> b368551
- updated to 1.12.2

* Sun May 14 2017 Jakub Bogusz <qboosh@pld-linux.org> b0bb608
- updated to 1.12.0

* Tue Apr 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 023a972
- require just libcgroup-libs

* Tue Apr 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 7c83a9e
- updated to 1.8.1

* Sun Dec 20 2015 Jakub Bogusz <qboosh@pld-linux.org> ad59657
- updated to 1.6.2

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 3e08d37
- updated to 1.6.1

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 23688d4
- updated to 1.6.0

* Sun Dec 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 5f86414
- updated to 1.4.5

* Sat Nov 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 58fcc8a
- updated to 1.4.4

* Mon Oct 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 7837e40
- updated to 1.4.3

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 898aa67
- updated to 1.4.1

* Mon Jul 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 81d01b6
- updated to 1.4.0

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> a16e208
- noarch apidocs

* Thu Feb 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 8e1e15b
- updated to 1.2.3

* Fri Feb 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 0289e56
- renamed to gstreamer-rtsp-server, updated to 1.1.90 for gstreamer 1.0 ABI

